Get usage
curl --request GET \
--url https://api.reedapt.com/v1/usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reedapt.com/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.reedapt.com/v1/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"key_mode": "live",
"unlimited": true,
"test_preview_seconds": 60,
"plan": "pro",
"minutes_remaining": 184.5
}{
"error": {
"code": "UPLOAD_INCOMPLETE",
"message": "Complete the upload before dubbing it.",
"request_id": "req_8f2c1e0a9b7d6c5e4f3a",
"fields": [
{
"field": "target_languages",
"message": "Field required"
}
]
}
}{
"error": {
"code": "UPLOAD_INCOMPLETE",
"message": "Complete the upload before dubbing it.",
"request_id": "req_8f2c1e0a9b7d6c5e4f3a",
"fields": [
{
"field": "target_languages",
"message": "Field required"
}
]
}
}Account
Get usage
Minutes left on the account, and how a test key’s dubs are limited.
GET
/
usage
Get usage
curl --request GET \
--url https://api.reedapt.com/v1/usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reedapt.com/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.reedapt.com/v1/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"key_mode": "live",
"unlimited": true,
"test_preview_seconds": 60,
"plan": "pro",
"minutes_remaining": 184.5
}{
"error": {
"code": "UPLOAD_INCOMPLETE",
"message": "Complete the upload before dubbing it.",
"request_id": "req_8f2c1e0a9b7d6c5e4f3a",
"fields": [
{
"field": "target_languages",
"message": "Field required"
}
]
}
}{
"error": {
"code": "UPLOAD_INCOMPLETE",
"message": "Complete the upload before dubbing it.",
"request_id": "req_8f2c1e0a9b7d6c5e4f3a",
"fields": [
{
"field": "target_languages",
"message": "Field required"
}
]
}
}Authorizations
rk_live_… or rk_test_…, made in Reedapt under Developers.
Response
Successful Response